Loading...
Searching...
No Matches
CxxTest::GuiTuiRunner< GuiT, TuiT > Class Template Reference

`#include <Gui.h>`

## Public Member Functions

| GuiTuiRunner (int &argc, char **argv)
int | run ()
Public Member Functions inherited from CxxTest::TeeListener
| TeeListener ()
virtual | ~TeeListener ()
void | setFirst (TestListener &first)
void | setSecond (TestListener &second)
void | enterWorld (const WorldDescription &d)
void | enterSuite (const SuiteDescription &d)
void | enterTest (const TestDescription &d)
void | trace (const char *file, unsigned line, const char *expression)
void | warning (const char *file, unsigned line, const char *expression)
void | failedTest (const char *file, unsigned line, const char *expression)
void | failedAssert (const char *file, unsigned line, const char *expression)
void | failedAssertEquals (const char *file, unsigned line, const char *xStr, const char *yStr, const char *x, const char *y)
void | failedAssertSameData (const char *file, unsigned line, const char *xStr, const char *yStr, const char *sizeStr, const void *x, const void *y, unsigned size)
void | failedAssertDelta (const char *file, unsigned line, const char *xStr, const char *yStr, const char *dStr, const char *x, const char *y, const char *d)
void | failedAssertDiffers (const char *file, unsigned line, const char *xStr, const char *yStr, const char *value)
void | failedAssertLessThan (const char *file, unsigned line, const char *xStr, const char *yStr, const char *x, const char *y)
void | failedAssertLessThanEquals (const char *file, unsigned line, const char *xStr, const char *yStr, const char *x, const char *y)
void | failedAssertPredicate (const char *file, unsigned line, const char *predicate, const char *xStr, const char *x)
void | failedAssertRelation (const char *file, unsigned line, const char *relation, const char *xStr, const char *yStr, const char *x, const char *y)
void | failedAssertThrows (const char *file, unsigned line, const char *expression, const char *type, bool otherThrown)
void | failedAssertThrowsNot (const char *file, unsigned line, const char *expression)
void | leaveTest (const TestDescription &d)
void | leaveSuite (const SuiteDescription &d)
void | leaveWorld (const WorldDescription &d)
Public Member Functions inherited from CxxTest::TestListener
| TestListener ()
virtual | ~TestListener ()

## Private Attributes

int & | _argc
char ** | _argv
GuiT | _gui
TuiT | _tui

## Detailed Description

template<class GuiT, class TuiT>
class CxxTest::GuiTuiRunner< GuiT, TuiT >

Definition at line 154 of file Gui.h.

## Constructor & Destructor Documentation

## GuiTuiRunner()

template<class GuiT, class TuiT>

CxxTest::GuiTuiRunner< GuiT, TuiT >::GuiTuiRunner | ( | int & | argc,
|  | char ** | argv )

inline

Definition at line 162 of file Gui.h.

:
_argc( argc ),
_argv( argv )
{
setFirst( _gui );
setSecond( _tui );
}
CxxTest::GuiTuiRunner
Definition Gui.h:155
CxxTest::GuiTuiRunner::_tui
TuiT _tui
Definition Gui.h:159
CxxTest::GuiTuiRunner::_argc
int & _argc
Definition Gui.h:156
CxxTest::GuiTuiRunner::_gui
GuiT _gui
Definition Gui.h:158
CxxTest::GuiTuiRunner::_argv
char ** _argv
Definition Gui.h:157
CxxTest::TeeListener::setFirst
void setFirst(TestListener &first)
Definition TeeListener.h:26
CxxTest::TeeListener::setSecond
void setSecond(TestListener &second)
Definition TeeListener.h:31

## Member Function Documentation

## run()

template<class GuiT, class TuiT>

int CxxTest::GuiTuiRunner< GuiT, TuiT >::run | ( |  | ) |

inline

Definition at line 170 of file Gui.h.

{
_gui.runGui( _argc, _argv, *this );
return tracker().failedTests();
}
CxxTest::TestTracker::failedTests
unsigned failedTests() const
Definition TestTracker.h:37
CxxTest::tracker
TestTracker & tracker()
Definition TestTracker.h:111

## Field Documentation

## _argc

template<class GuiT, class TuiT>

int& CxxTest::GuiTuiRunner< GuiT, TuiT >::_argc

private

Definition at line 156 of file Gui.h.

## _argv

template<class GuiT, class TuiT>

char** CxxTest::GuiTuiRunner< GuiT, TuiT >::_argv

private

Definition at line 157 of file Gui.h.

## _gui

template<class GuiT, class TuiT>

GuiT CxxTest::GuiTuiRunner< GuiT, TuiT >::_gui

private

Definition at line 158 of file Gui.h.

## _tui

template<class GuiT, class TuiT>

TuiT CxxTest::GuiTuiRunner< GuiT, TuiT >::_tui

private

Definition at line 159 of file Gui.h.

The documentation for this class was generated from the following file:

- libpolys/tests/cxxtest/Gui.h